class ThreadDemo implements Runnable {
   ThreadDemo() {
      Thread var1 = Thread.currentThread();
      System.out.println("currentThread: " + var1);
      Thread var2 = new Thread(this, "Demo Thread");
      System.out.println("Thread created: " + var2);
      var2.start();

      try {
         Thread.sleep(3000L);
      } catch (InterruptedException var3) {
         System.out.println("interrupted");
      }

      System.out.println("exiting main thread");
   }

   public void run() {
      try {
         for(int var1 = 5; var1 > 0; --var1) {
            System.out.println(String.valueOf(var1));
            Thread.sleep(1000L);
         }
      } catch (InterruptedException var2) {
         System.out.println("child interrupted");
      }

      System.out.println("exiting child thread");
   }

   public static void main(String[] var0) {
      new ThreadDemo();
   }
}
